package com.iamberry.sys;

import java.util.Date;

/**
 * 用户角色表
 * @author root
 */
public class SysRule {

    private Integer ruleId;

    private Integer supplierId;

    private String ruleName;

    private Integer ruleState;

    private Integer ruleOrderPermission;

    private Date ruleCreateTime;

    private Date ruleUpdateTime;

    public Integer getRuleOrderPermission() {
        return ruleOrderPermission;
    }

    public void setRuleOrderPermission(Integer ruleOrderPermission) {
        this.ruleOrderPermission = ruleOrderPermission;
    }

    public Integer getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getRuleId() {
        return ruleId;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName == null ? null : ruleName.trim();
    }

    public Integer getRuleState() {
        return ruleState;
    }

    public void setRuleState(Integer ruleState) {
        this.ruleState = ruleState;
    }

    public Date getRuleCreateTime() {
        return ruleCreateTime;
    }

    public void setRuleCreateTime(Date ruleCreateTime) {
        this.ruleCreateTime = ruleCreateTime;
    }

    public Date getRuleUpdateTime() {
        return ruleUpdateTime;
    }

    public void setRuleUpdateTime(Date ruleUpdateTime) {
        this.ruleUpdateTime = ruleUpdateTime;
    }
}